# Generated by Django 3.2.11 on 2022-01-05 19:23

import datetime
from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ZoneTemp',
            fields=[
                ('UUID', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('time', models.DateTimeField(default=datetime.datetime.now)),
                ('temp', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Zone',
            fields=[
                ('UUID', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('lastUpdated', models.DateTimeField(default=datetime.datetime.now)),
                ('temps', models.ManyToManyField(to='fans.ZoneTemp')),
            ],
        ),
        migrations.CreateModel(
            name='Server',
            fields=[
                ('UUID', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('idrac_ip', models.CharField(max_length=255, verbose_name='iDRAC IP')),
                ('idrac_user', models.CharField(max_length=255, verbose_name='iDRAC USER')),
                ('idrac_pass', models.CharField(max_length=255, verbose_name='iDRAC PASS')),
                ('idrac_ipmi_key', models.CharField(max_length=255, verbose_name='iDRAC IMPI Key')),
                ('enable_temp_ctl', models.BooleanField(verbose_name='Enable Temp Control')),
                ('max_zone_temp', models.IntegerField()),
                ('min_zone_temp', models.IntegerField()),
                ('health_check_url', models.CharField(max_length=255)),
                ('tempZone', models.ManyToManyField(blank=True, to='fans.Zone')),
            ],
        ),
    ]
